## ros-lunar-joy-teleop 0.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(joy_teleop)

find_package(catkin REQUIRED COMPONENTS)
catkin_package(
  CATKIN_DEPENDS actionlib)

install(PROGRAMS scripts/joy_teleop.py 
                 scripts/incrementer_server.py
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

foreach(dir config launch)
    install(DIRECTORY ${dir}/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach(dir)

=== debian/changelog ===
ros-lunar-joy-teleop (0.2.6-0xenial) xenial; urgency=high

  * Support using buttons and axis in the same message
  * Contributors: Tim Clephas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Apr 2018 23:00:00 -0000

ros-lunar-joy-teleop (0.2.5-0xenial) xenial; urgency=high

  * Remove duplicate examples, add list ones
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-lunar-joy-teleop (0.2.4-0xenial) xenial; urgency=high

  * Replace joy_teleop.fill_msg with genpy.message.fill_message_args
  * Contributors: Stephen Street

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 30 Nov 2016 00:00:00 -0000

ros-lunar-joy-teleop (0.2.3-0xenial) xenial; urgency=high

  * Add hello publish to example
  * Rename to fix example launch file
  * Added example of feature to config file
  * Added message_value parameter to specify message content on topics
  * PEP8 style stuff
  * Fixes bug when keep asking for increments
    would make the goal position grow infinitely instead of be of maximum 'current joint position' + 'increment quantity'
  * Contributors: Bence Magyar, Sam Pfeiffer, SomeshDaga

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 17 Jul 2016 23:00:00 -0000

ros-lunar-joy-teleop (0.2.2-0xenial) xenial; urgency=high

  * Add install rules for example files
  * gracefully handle missing joy axes
  * Contributors: Bence Magyar, Kopias Peter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 24 Mar 2016 00:00:00 -0000

ros-lunar-joy-teleop (0.2.1-0xenial) xenial; urgency=high

  * Add support for services
    it is now possible to asynchronously send service requests on button presses
  * Adds queue_size keyword
  * Contributors: Bence Magyar, Nils Berg, Enrique Fernandez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 29 Jan 2016 00:00:00 -0000

ros-lunar-joy-teleop (0.2.0-0xenial) xenial; urgency=high

  * Add example for incrementer
  * Update package.xmls
  * Add incrementer_server
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 Aug 2015 23:00:00 -0000

ros-lunar-joy-teleop (0.1.2-0xenial) xenial; urgency=high

  * joy_teleop: fix minor typo
  * Contributors: G.A. vd. Hoorn

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 15 Feb 2015 00:00:00 -0000

ros-lunar-joy-teleop (0.1.1-0xenial) xenial; urgency=high

  * Change maintainer
  * checks for index out of bounds in buttons list
    buttons is a list, not a dict
    Filter out buttons not available
  * Check for b in buttons
  * Check for IndexError
  * joy_teleop: add action server auto-refresh
  * Move everything to joy_teleop subfolder
  * Contributors: Bence Magyar, Enrique Fernández Perdomo, Paul Mathieu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Nov 2014 00:00:00 -0000

ros-lunar-joy-teleop (0.1.0-0xenial) xenial; urgency=high

  * joy_teleop: nice, generic joystick control for ROS

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 28 Nov 2013 00:00:00 -0000

=== debian/control ===
Source: ros-lunar-joy-teleop
Section: misc
Priority: extra
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-joy-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-actionlib, ros-lunar-rospy, ros-lunar-rostopic, ros-lunar-sensor-msgs, ros-lunar-teleop-tools-msgs
Description: A (to be) generic joystick interface to control a robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-joy-teleop//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
